com.abbyy.mobile.rtr

## Enum IImagingCoreAPI.DetectDocumentBoundaryOperation.DetectionMode

- java.lang.Object
- - java.lang.Enum<IImagingCoreAPI.DetectDocumentBoundaryOperation.DetectionMode>
  - - com.abbyy.mobile.rtr.IImagingCoreAPI.DetectDocumentBoundaryOperation.DetectionMode

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<IImagingCoreAPI.DetectDocumentBoundaryOperation.DetectionMode>
  Enclosing class:
    IImagingCoreAPI.DetectDocumentBoundaryOperation

      public static enum IImagingCoreAPI.DetectDocumentBoundaryOperation.DetectionMode
      extends java.lang.Enum<IImagingCoreAPI.DetectDocumentBoundaryOperation.DetectionMode>

  Document boundary detection mode

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `Default` Default (slower but more accurate)
    `Fast` Fast

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static IImagingCoreAPI.DetectDocumentBoundaryOperation.DetectionMode` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static IImagingCoreAPI.DetectDocumentBoundaryOperation.DetectionMode[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### Default

          public static final IImagingCoreAPI.DetectDocumentBoundaryOperation.DetectionMode Default

      Default (slower but more accurate)

    - #### Fast

          public static final IImagingCoreAPI.DetectDocumentBoundaryOperation.DetectionMode Fast

      Fast

  - ### Method Detail

    - #### values

          public static IImagingCoreAPI.DetectDocumentBoundaryOperation.DetectionMode[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (IImagingCoreAPI.DetectDocumentBoundaryOperation.DetectionMode c : IImagingCoreAPI.DetectDocumentBoundaryOperation.DetectionMode.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static IImagingCoreAPI.DetectDocumentBoundaryOperation.DetectionMode valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null